Skip to navigation

Retrieve task status and results

This method retrieves the status and the results of an async embedding task.

Invoke this method repeatedly until the status field is ready or failed. When the status is ready, use the embeddings from the response. When the status is failed, the error.message field contains the reason.

Note

Embeddings are stored for seven days.

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

task_idstringRequired
The unique identifier of the embedding task.

Response

Task status and results retrieved successfully
_idstring
The unique identifier of the embedding task.
statusenum

The current status of the task.

Values:

  • processing: The platform is creating the embeddings
  • ready: Processing is complete. Embeddings are available in the data field
  • failed: The task failed. The data field is null, and the error.message field contains the reason
Allowed values:
datalist of objects or null

An object containing the embedding results, or null otherwise.

created_atstringOptionalformat: "date-time"

A string representing the date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the resource was created.

updated_atstringOptionalformat: "date-time"

A string representing the date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the resource was last updated.

usageobjectOptional
Token counts for the request. Only Marengo 3.5 returns this field.
metadataobjectOptional
Metadata for the media input.
errorobjectOptional

An object describing why the embedding task failed. Present only when status is failed. Omitted otherwise.

Errors

404
Not Found Error